Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVolumeRayCastDynamicInfo Struct Reference

`#include <vtkVolumeRayCastFunction.h>`

List of all members.

## Public Attributes

float | Color [4]
float | ScalarValue
float | TransformedStart [4]
float | TransformedEnd [4]
float | TransformedDirection [4]
float | TransformedIncrement [3]
int | NumberOfStepsToTake
int | NumberOfStepsTaken

## Member Data Documentation

float vtkVolumeRayCastDynamicInfo::Color[4]

| Definition at line 59 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastDynamicInfo::ScalarValue

| Definition at line 60 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastDynamicInfo::TransformedStart[4]

| Definition at line 63 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastDynamicInfo::TransformedEnd[4]

| Definition at line 64 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastDynamicInfo::TransformedDirection[4]

| Definition at line 65 of file vtkVolumeRayCastFunction.h.

float vtkVolumeRayCastDynamicInfo::TransformedIncrement[3]

| Definition at line 66 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastDynamicInfo::NumberOfStepsToTake

| Definition at line 70 of file vtkVolumeRayCastFunction.h.

int vtkVolumeRayCastDynamicInfo::NumberOfStepsTaken

| Definition at line 74 of file vtkVolumeRayCastFunction.h.

The documentation for this struct was generated from the following file:

- Rendering/vtkVolumeRayCastFunction.h